<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Tạo nhánh và tạo merge request khi refactor dự án Course 365 -->
    
    <title>Task 40.20 - hienltt</title>
    <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- Data Table-->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <!-- Các file css và js tự định nghĩa thêm -->
    <link rel="stylesheet" href="style.css">
    <script src="script.js"></script>
</head>
<body>
    <div class="container-fluid">
        <div class="text-center my-4">
            <h2>LIST COURSES</h2>
        </div>
        <button class="btn btn-success form-group" id="btn-add-courses"><i class="fas fa-plus"></i> Add Courses</button>
        <table class="table table-bordered table-striped table-hover text-center bg-light" id="courses-table">
            <thead>
                <tr>
                    <th>STT</th>
                    <th>Cover Image</th>
                    <th>Course Code</th>
                    <th>Course Name</th>
                    <th>Level</th>
                    <th>Duration</th>
                    <th>Price</th>
                    <th>Discount Price</th>
                    <th>Teacher Name</th>                    
                    <th>Teacher Photo</th>
                    <th>Popular</th>
                    <th>Trending</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
    <!-- Vùng Modal -->

    <!-- Thêm course modal -->
    <div id="insert-course-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Thêm khoá học</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Cover Image</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-modal-course-photo" placeholder="Exp: images/courses/course-css.jpg">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Course Code</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-modal-course-code">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Course Name</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-modal-course-name">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Level</label>
                        </div>
                        <div class="col-sm-8">
                            <select class="form-control" id="select-modal-level">
                                <option value="Beginner">Beginner</option>
                                <option value="Advanced">Advanced</option>
                                <option value="Intermediate">Intermediate</option>
                            </select>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Popular</label>
                        </div>
                        <div class="col-sm-8">
                            <select class="form-control" id="select-modal-popular">
                                <option value="true">True</option>
                                <option value="false">False</option>
                            </select>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Trending</label>
                        </div>
                        <div class="col-sm-8">
                            <select class="form-control" id="select-modal-trending">
                                <option value="true">True</option>
                                <option value="false">False</option>
                            </select>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Duration</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="input-modal-duration" class="form-control" placeholder="Exp: 3h 30m">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Price</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="number" id="input-modal-price" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Discount Price</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="number" class="form-control" id="input-modal-discount">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Teacher Name</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-modal-teacher-name">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Teacher Photo</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-modal-teacher-photo" placeholder="Exp: images/teacher/ted_hawkins.jpg">
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-success" id="btn-modal-create">Create Course</button>
                    <button class="btn btn-secondary" id="btn-modal-cancel" data-dismiss="modal">Cancel</button>
                </div>
            </div> 
        </div>
    </div>
    <!-- Vùng modal  Update-->
    <div id="update-course-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Update course</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Cover Image</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-update-modal-course-photo" placeholder="Exp: images/courses/course-css.jpg">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Course Code</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-update-modal-course-code">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Course Name</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-update-modal-course-name">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Level</label>
                        </div>
                        <div class="col-sm-8">
                            <select class="form-control" id="select-update-modal-level">
                                <option value="Beginner">Beginner</option>
                                <option value="Advanced">Advanced</option>
                                <option value="Intermediate">Intermediate</option>
                            </select>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Popular</label>
                        </div>
                        <div class="col-sm-8">
                            <select class="form-control" id="select-update-modal-popular">
                                <option value="true">True</option>
                                <option value="false">False</option>
                            </select>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Trending</label>
                        </div>
                        <div class="col-sm-8">
                            <select class="form-control" id="select-update-modal-trending">
                                <option value="true">True</option>
                                <option value="false">False</option>
                            </select>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Duration</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" id="input-update-modal-duration" class="form-control" placeholder="Exp: 3h 30m">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Price</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="number" id="input-update-modal-price" class="form-control">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Discount Price</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="number" class="form-control" id="input-update-modal-discount">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Teacher Name</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-update-modal-teacher-name">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-4">
                            <label>Teacher Photo</label>
                        </div>
                        <div class="col-sm-8">
                            <input type="text" class="form-control" id="inp-update-modal-teacher-photo" placeholder="Exp: images/teacher/ted_hawkins.jpg">
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-success" id="btn-modal-update">Update Course</button>
                    <button class="btn btn-secondary" id="btn-modal-cancel" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Vùng modal  Delete-->
    <div id="delete-confirm-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Course Delete Confirmation</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <label>Bạn có chắc muốn xoá Course này không?</label>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-danger" id="btn-confirm-delete">Confirm</button>
                    <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    <input type="checkbox">
                </div>
            </div>
        </div>
    </div>
</body>
</html>